This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 711760 - s390utils-iucvterm should depend on grep
s390utils-iucvterm should depend on grep
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: s390utils (Show other bugs)
15
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2011-06-08 08:12 EDT by Jan Stodola
Modified: 2011-08-30 16:43 EDT (History)
1 user (show)

See Also:
Fixed In Version: s390utils-1.14.0-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-30 16:43:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Stodola 2011-06-08 08:12:38 EDT
Description of problem:
Package s390utils-iucvterm uses 'grep' in postinstall/postuninstall scriplets, but the package doesn't depend on the grep package:

[root@rtt6 ~]# rpm -q --scripts s390utils-iucvterm | grep grep
grep -q '^/usr/bin/ts-shell$' /etc/shells \
    grep -v '^/usr/bin/ts-shell$' /etc/shells > /etc/shells.ts-new
[root@rtt6 ~]# rpm -qf /bin/grep
grep-2.7-5.fc15.s390x
[root@rtt6 ~]# rpm -q --requires s390utils-iucvterm | grep grep


An error message shows in install.log during installation:
...
Installing libcap-ng-0.6.5-2.fc15.s390x
Installing s390utils-iucvterm-1.8.2-32.fc15.s390x
/var/tmp/rpm-tmp.n7DVD6: line 2: grep: command not found
Installing gamin-0.1.10-9.fc15.s390x
...
Installing grep-2.7-5.fc15.s390x
...

Version-Release number of selected component (if applicable):
s390utils-iucvterm-1.8.2-32.fc15.s390x

How reproducible:
always

Steps to Reproduce:
see description
  
Actual results:
s390utils-iucvterm doesn't depend on grep

Expected results:
s390utils-iucvterm depends grep
Comment 1 Dan Horák 2011-06-08 12:10:54 EDT
Jan, can you please check if this problem exists also in RHEL 6?
Comment 2 Jan Stodola 2011-06-09 04:58:24 EDT
This problem also exists in RHEL 6, bug 711998 created.

Note You need to log in before you can comment on or make changes to this bug.